import { jsx } from "react/jsx-runtime";
import { TokenHYPE as TokenHYPE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHYPE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "HYPE", "data-name": "TokenHYPE", ...props, children: /* @__PURE__ */ jsx(TokenHYPE$1, { variant }) });
  }
);
TokenHYPE.displayName = "TokenHYPE";
Object.assign(TokenHYPE, { isGdsIcon: true });
export {
  TokenHYPE
};
